/*
  simple.m - test program
 */

#include <stdio.h>
#include <stdlib.h>

#ifdef __APPLE__
#	include <Foundation/NSObject.h>
#	define	OBJECT	NSObject
#else
	/* note: "objc/Object.h" refers "strcmp" function. */
#	include <string.h>
#	include <objc/Object.h>
#	define	OBJECT	Object
#endif

@interface CTest : Object
{
	char	message[128] ;
}

- init ;
- (void) print ;
@end

@implementation CTest

- init
{
	strcpy(message, "Hello, World !!") ;
	return [super init] ;
}

- (void) print
{
	printf("%s\n", message) ;
}
@end

int main()
{
	id test = [[CTest alloc] init] ;
	[test print] ;
	exit(0) ;
}

